/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtktoolbar.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKTOOLBAR_H
#define GTOOLKIT_GTKTOOLBAR_H

#include <gtk/gtktoolbar.h>
#include <GToolKit/GTKContainer.h>

@class GTKWidget;

@interface GTKToolbar : GTKContainer
+ (GtkType) getType;
+ (id) toolbarWithOrientation:(GtkOrientation) orientation style:(GtkToolbarStyle) style;
- (id) initWithOrientation:(GtkOrientation) orientation style:(GtkToolbarStyle) style;
- (GTKWidget*) appendItem:(NSString *) text tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data;
- (GTKWidget*) prependItem:(NSString *) text tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data;
- (GTKWidget*) insertItem:(NSString *) text tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data position:(gint) position;
- (void) appendSpace;
- (void) prependSpace;
- (void) insertSpace:(gint) position;
- (GTKWidget*) appendElement:(GtkToolbarChildType) type widget:(GTKWidget *) widget text:(NSString *) text tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data;
- (GTKWidget*) prependElement:(GtkToolbarChildType) type widget:(GTKWidget *) widget text:(NSString *) text tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data;
- (GTKWidget*) insertElement:(GtkToolbarChildType) type widget:(GTKWidget *) widget text:(NSString *) text tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data position:(gint) position;
- (void) appendWidget:(GTKWidget *) widget tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text;
- (void) prependWidget:(GTKWidget *) widget tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text;
- (void) insertWidget:(GTKWidget *) widget tooltipText:(NSString *) tooltip_text tooltipPrivateText:(NSString *) tooltip_private_text position:(gint) position;
- (void) setOrientation:(GtkOrientation) orientation;
- (void) setStyle:(GtkToolbarStyle) style;
- (void) setSpaceSize:(gint) space_size;
- (void) setSpaceStyle:(GtkToolbarSpaceStyle) space_style;
- (void) setTooltips:(gint) enable;
- (void) setButtonRelief:(GtkReliefStyle) relief;
- (GtkReliefStyle) getButtonRelief;
@end

#endif /* GTOOLKIT_GTKTOOLBAR_H */
