#
#   gtk-tool.make
#
#   Makefile rules to build GNUstep-based GToolKit programs.
#
#   Note: This version does not yet support cross-compiling!
#
#   Copyright (C) 1999 Free Software Foundation, Inc.
#
#   Author:  Elmar Ludwig <elmar@informatik.uni-osnabrueck.de>
#
#   This file is not part of the GNUstep Makefile Package.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#
#   You should have received a copy of the GNU General Public License
#   along with this library; if not, write to the Free Software
#   Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

#
# The names of the tools are in the TOOL_NAME variable.
#
# The source files are in xxx_OBJC_FILES, xxx_C_FILES, xxx_HEADER_FILES etc.
#
# xxx We need to prefix the target name when cross-compiling
# xxx Place system-dependent values in $(GNUSTEP_TARGET_DIR)/gtk-config.make
#

# prevent multiple inclusions
ifeq ($(GTK_TOOL_MAKE_LOADED),)
GTK_TOOL_MAKE_LOADED=yes

ADDITIONAL_CPPFLAGS	+=  -I/usr/X11R6/include/gtk12 -I/usr/local/include/glib12 -D_THREAD_SAFE -I/usr/local/include -I/usr/X11R6/include
ADDITIONAL_FLAGS	+= -O -pipe -mcpu=ev4
ADDITIONAL_LDFLAGS	+=   -L/usr/X11R6/lib -L/usr/X11R6/lib -L/usr/local/lib -Wl,-E -pthread
ADDITIONAL_TOOL_LIBS	+= -lGToolKit   -lgtk12 -lgdk12 -lgmodule12 -lgthread12 -lglib12 -lintl -lXi -lXext -lX11 -lm

#
# Include the standard tool makefile rules
#
include $(GNUSTEP_MAKEFILES)/tool.make

endif
# gtk-tool.make loaded

## Local variables:
## mode: makefile
## End:
